NonBlockingCoordinator.CoordinationMessage (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator.CoordinationMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group.interceptors
Class NonBlockingCoordinator.CoordinationMessage

    java.lang.Object
      org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator.CoordinationMessage

Enclosing class:
  NonBlockingCoordinator

    public static class NonBlockingCoordinator.CoordinationMessage

extends java.lang.Object

Field Summary
`protected XByteBuffer` | `buf`
`protected UniqueId` | `id`
`protected MemberImpl` | `leader`
`protected MemberImpl` | `source`
`protected long` | `timestamp`
`protected byte[]` | `type`
`protected MemberImpl[]` | `view`

Constructor Summary
`NonBlockingCoordinator.CoordinationMessage(MemberImpl leader, MemberImpl source, MemberImpl[] view, UniqueId id, byte[] type)`
`NonBlockingCoordinator.CoordinationMessage(XByteBuffer buf)`

Method Summary
`XByteBuffer` | `getBuffer()`
`byte[]` | `getHeader()`
`UniqueId` | `getId()`
`MemberImpl` | `getLeader()`
`MemberImpl[]` | `getMembers()`
`MemberImpl` | `getSource()`
`byte[]` | `getType()`
`void` | `parse()`
`void` | `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buf

    protected XByteBuffer buf

### leader

    protected MemberImpl leader

### source

    protected MemberImpl source

### view

    protected MemberImpl[] view

### id

    protected UniqueId id

### type

    protected byte[] type

### timestamp

    protected long timestamp

Constructor Detail

### NonBlockingCoordinator.CoordinationMessage

    public NonBlockingCoordinator.CoordinationMessage(XByteBuffer buf)

### NonBlockingCoordinator.CoordinationMessage

    public NonBlockingCoordinator.CoordinationMessage(MemberImpl leader,
                                                      MemberImpl source,
                                                      MemberImpl[] view,
                                                      UniqueId id,
                                                      byte[] type)

Method Detail

### getHeader

    public byte[] getHeader()

### getLeader

    public MemberImpl getLeader()

### getSource

    public MemberImpl getSource()

### getId

    public UniqueId getId()

### getMembers

    public MemberImpl[] getMembers()

### getType

    public byte[] getType()

### getBuffer

    public XByteBuffer getBuffer()

### parse

    public void parse()

### write

    public void write()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.